Page MenuHomePhabricator

D1. Add to conversion process for Catalan: Don't convert talk subpages with {{discussió arxivada}} template
Closed, ResolvedPublic

Description

A blocker for Catalan -- they'd like us to not convert certain talk subpages that are marked as purely archival. These are outdated pages where nobody will ever have a reason to start a new conversation, and it would be silly to turn it into a useless Flow board with a further link to the archive.

Example:
https://ca.wikipedia.org/wiki/Viquip%C3%A8dia_Discussi%C3%B3:Apostes/Article_100.000

This is a one-time change for this specific wiki. In the future, when converting a namespace is a regular part of our daily lives, it won't be scaleable to make custom adjustments like this. We have to keep talking as a team about the next steps in scaleable deployment. While we're doing that, it's not hard to do a custom request like this.

Link for the request on cawiki:

https://ca.wikipedia.org/w/index.php?title=Tema:Si31dl2puhnj6pcu&topic_showPostId=sj2slbljkfplvy4i#flow-post-sj2slbljkfplvy4i

Event Timeline

DannyH created this task.Jun 12 2015, 6:28 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added subscribers: DannyH, Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2015, 6:28 PM

Change 217975 had a related patch set uploaded (by Catrope):
Add option to conversion script to skip pages with a certain template

https://gerrit.wikimedia.org/r/217975

DannyH renamed this task from Add to conversion process for Catalan: Don't convert talk subpages with {{discussió arxivada}} template to D1. Add to conversion process for Catalan: Don't convert talk subpages with {{discussió arxivada}} template.Jun 16 2015, 7:22 PM

Change 217975 merged by jenkins-bot:
Add option to conversion script to skip pages with a certain template

https://gerrit.wikimedia.org/r/217975

I just tested this in Catalan beta and it didn't seem to work that well. http://ca.wikipedia.beta.wmflabs.org/w/index.php?title=Ajuda_Discussi%C3%B3:Archivepage&redirect=no shows that 1) the archive template wasn't picked up on and 2) an encoding error (UTF8 vs iso-8859-1?) happened when copying the header

Etonkovidova added a subscriber: Etonkovidova.EditedJun 18 2015, 9:21 PM

Re-tested many times on http://ca.wikipedia.beta.wmflabs.org/ in the same namespace - did not encounter any errors.

mwscript /extensions/Flow/maintenance/convertNamespaceFromWikitext.php --wiki=cawiki  Ajuda_Discussió  --no-convert-templates=discussió_arxivada

Note: checked also with couple of other templates as --no-convert-templates parameter. (e.g. {{Municipis_Roma}}

DannyH closed this task as Resolved.Jun 19 2015, 5:36 PM